<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Remote Poller Setup</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <style type="text/css">
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(title);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="remote-poller-setup">Remote Poller Setup</h1>
<p>Remote Pollers add complexity to your cacti setup while also massivley extended the scalability of it. Remote Pollers allow system admins to distribute the load of polling between differnt servers as well as provideanother source of polling close to a device</p>
<p>For example you may have a device in toronto but if your pollers are in Newyork the network latency may causes issues with your metrics having a remote poller in Toronto in this case will help with that issue</p>
<h2 id="setup-instructions">Setup Instructions</h2>
<p>With this setup the following layout is assumed</p>
<ul>
<li><p>Main server IP is 192.168.1.5</p></li>
<li><p>Remote poller 1 server IP is 192.168.1.10</p></li>
<li><p>Remote poller 2 servers Ip is 192.168.1.20</p></li>
</ul>
<h2 id="database-configuration">Database Configuration</h2>
<p>Each server will have its own local database however the remote pollers will need to talk back to the main poller so we must allow the remote servers user account to connect back to the main pollers database via the network</p>
<p>Main server database config</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode sql"><code class="sourceCode sql"><a class="sourceLine" id="cb1-1" title="1"><span class="kw">GRANT</span> <span class="kw">ALL</span> <span class="kw">PRIVILEGES</span> <span class="kw">ON</span> cacti.<span class="op">*</span> <span class="kw">TO</span> <span class="st">&#39;cacti&#39;</span>@<span class="st">&#39;192.168.1.10&#39;</span> <span class="kw">IDENTIFIED</span> <span class="kw">BY</span> <span class="st">&#39;cacti&#39;</span>;</a>
<a class="sourceLine" id="cb1-2" title="2"><span class="kw">GRANT</span> <span class="kw">ALL</span> <span class="kw">PRIVILEGES</span> <span class="kw">ON</span> cacti.<span class="op">*</span> <span class="kw">TO</span> <span class="st">&#39;cacti&#39;</span>@<span class="st">&#39;192.168.1.20&#39;</span> <span class="kw">IDENTIFIED</span> <span class="kw">BY</span> <span class="st">&#39;cacti&#39;</span>;</a></code></pre></div>
<p>Remote poller 1 database configuration</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode sql"><code class="sourceCode sql"><a class="sourceLine" id="cb2-1" title="1"><span class="kw">GRANT</span> <span class="kw">ALL</span> <span class="kw">PRIVILEGES</span> <span class="kw">ON</span> cacti.<span class="op">*</span> <span class="kw">TO</span> <span class="st">&#39;cacti&#39;</span>@<span class="st">&#39;192.168.1.5&#39;</span> <span class="kw">IDENTIFIED</span> <span class="kw">BY</span> <span class="st">&#39;cacti&#39;</span>;</a></code></pre></div>
<p>Remote poller 2 database configuration</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode sql"><code class="sourceCode sql"><a class="sourceLine" id="cb3-1" title="1"><span class="kw">GRANT</span> <span class="kw">ALL</span> <span class="kw">PRIVILEGES</span> <span class="kw">ON</span> cacti.<span class="op">*</span> <span class="kw">TO</span> <span class="st">&#39;cacti&#39;</span>@<span class="st">&#39;192.168.1.5&#39;</span> <span class="kw">IDENTIFIED</span> <span class="kw">BY</span> <span class="st">&#39;cacti&#39;</span>;</a></code></pre></div>
<p>We have also let the main poller talk to the remote pollers to keep in sync</p>
<h2 id="spine-configuration">Spine configuration</h2>
<p>When you have setup multiple pollers while using spine you will need to also configure the spine.conf file to connect to the remote database as well.</p>
<p>Be sure to remove the # next to the below entries</p>
<pre class="console"><code>RDB_Host 192.168.1.5
RDB_Database cacti
RDB_User cacti
RDB_Pass cacti
RDB_Port 3306
#RDB_UseSSL 0
#RDB_SSL_Key
#RDB_SSL_Cert
#RDB_SSL_CA
</code></pre>
<h2 id="spine-poller-and-max-connections">Spine poller and max connections</h2>
<p>Since in a multi poller setup Spine is highly recommended you will need to follow the following calculation when that calculation would be:</p>
<pre class="console"><code>connections = spine-processes x ( 1 + threads-per-process  + PHP servers )
</code></pre>
<h2 id="remote-poller-configphp-setup">Remote poller config.php setup</h2>
<p>Now that we have set up the database connections we need to set up the cacti config.php file on the remote pollers to give them the database info they need to connect to the main poller we won’t have to edit the main servers config.php file aside from the normal install procedure to give it access to its local database. Below is the portion of the config.php that we need to edit to allow the remote poller to talk to the main server be sure to remove the hash sign (#)</p>
<pre class="console"><code>$rdatabase_type = &#39;mysql&#39;;
$rdatabase_default = &#39;cacti&#39;;
$rdatabase_hostname = &#39;192.168.1.5;
$rdatabase_username = &#39;cacti&#39;;
$rdatabase_password = &#39;cacti&#39;;
$rdatabase_port = &#39;3306&#39;;
$rdatabase_retries = 5;
$rdatabase_ssl = false;
$rdatabase_ssl_key = &#39;&#39;;
$rdatabase_ssl_cert = &#39;&#39;;
$rdatabase_ssl_ca = &#39;&#39;;
</code></pre>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
